C { dg-do compile }
C { dg-options "-O -Wuninitialized" }
C { dg-warning "Warning: Variable A in MAIN__ might be used uninitialized" "" { target *-*-* } 0 }
      program foo
      integer a, b, c
      common /c/ c
      b = a + 110
C ensure that b is not optimized away
      if (c .ne. 0) then
         print *, b
      end if
      
      end program foo
